composite(1)

NAME
composite - overlaps one image over another.

SYNOPSIS

composite [ options ... ] change-file base-file [ mask-file ] output-image

OVERVIEW
The composite program is a member of the ImageMagick(1) suite of tools. Use it to overlap one image over another. For more information about the composite command, point your browser to file:///usr/pkg/share/doc/ImageMagick-6/www/composite.html@EXTRA_DOC_DIR@ or http://imagemagick.org/script/composite.php.

DESCRIPTION
Image Settings:
  -affine matrix affine transform matrix
  -alpha option on, activate, off, deactivate, set, opaque, copy
                       transparent, extract, background, or shape
  -authenticate value decrypt image with this password
  -blue-primary point chromaticity blue primary point
  -channel type apply option to select image channels
  -colorspace type alternate image colorspace
  -comment string annotate image with comment
  -compose operator composite operator
  -compress type type of pixel compression when writing the image
  -decipher filename convert cipher pixels to plain pixels
  -define format:option
                       define one or more image format options
  -depth value image depth
  -density geometry horizontal and vertical density of the image
  -display server get image or font from this X server
  -dispose method layer disposal method
  -dither method apply error diffusion to image
  -encipher filename convert plain pixels to cipher pixels
  -encoding type text encoding type
  -endian type endianness (MSB or LSB) of the image
  -filter type use this filter when resizing an image
  -font name render text with this font
  -format "string" output formatted image characteristics
  -gravity type which direction to gravitate towards
  -green-primary point chromaticity green primary point
  -interlace type type of image interlacing scheme
  -interpolate method pixel color interpolation method
  -label string assign a label to an image
  -limit type value pixel cache resource limit
  -matte store matte channel if the image has one
  -monitor monitor progress
  -page geometry size and location of an image canvas (setting)
  -pointsize value font point size
  -quality value JPEG/MIFF/PNG compression level
  -quiet suppress all warning messages
  -red-primary point chromaticity red primary point
  -regard-warnings pay attention to warning messages
  -repage geometry size and location of an image canvas (operator)
  -respect-parentheses settings remain in effect until parenthesis boundary
  -sampling-factor geometry
                       horizontal and vertical sampling factor
  -scene value image scene number
  -seed value seed a new sequence of pseudo-random numbers
  -size geometry width and height of image
  -support factor resize support: > 1.0 is blurry, < 1.0 is sharp
  -synchronize synchronize image to storage device
  -taint declare the image as modified
  -transparent-color color
                       transparent color
  -treedepth value color tree depth
  -tile repeat composite operation across and down image
  -units type the units of image resolution
  -verbose print detailed information about the image
  -virtual-pixel method
                       virtual pixel access method
  -white-point point chromaticity white point Image Operators:
  -blend geometry blend images
  -border geometry surround image with a border of color
  -bordercolor color border color
  -colors value preferred number of colors in the image
  -displace geometry shift image pixels defined by a displacement map
  -dissolve value dissolve the two images a given percent
  -distort geometry shift lookup according to a absolute distortion map
  -extract geometry extract area from image
  -geometry geometry location of the composite image
  -identify identify the format and characteristics of the image
  -monochrome transform image to black and white
  -negate replace each pixel with its complementary color
  -profile filename add ICM or IPTC information profile to image
  -quantize colorspace reduce colors in this colorspace
  -rotate degrees apply Paeth rotation to the image
  -resize geometry resize the image
  -sharpen geometry sharpen the image
  -shave geometry shave pixels from the image edges
  -stegano offset hide watermark within an image
  -stereo combine two image to create a stereo anaglyph
  -strip strip image of all profiles and comments
  -thumbnail geometry create a thumbnail of the image
  -transform affine transform image
  -type type image type
  -unsharp geometry sharpen the image
  -watermark geometry percent brightness and saturation of a watermark
  -write filename write images to this file Image Stack Operators:
  -swap indexes swap two images in the image sequence Miscellaneous Options:
  -debug events display copious debugging information
  -help print program options
  -log format format of debugging information
  -list type print a list of supported option arguments
  -version print version information By default, the image format of `file' is determined by its magic number. To specify a particular image format, precede the filename with an image format name and a colon (i.e. ps:image) or specify the image type as the filename suffix (i.e. image.ps). Specify 'file' as '-' for standard input or output.

SEE ALSO
ImageMagick(1)

COPYRIGHT
Copyright (C) 1999-2020 ImageMagick Studio LLC. Additional copyrights and licenses apply to this software, see file:///usr/pkg/share/doc/ImageMagick-6/www/license.html@EXTRA_DOC_DIR@ or http://imagemagick.org/script/license.php